> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept a whitelisted terms of service link

> Accept a Terms of Service link on behalf of a whitelisted signer.



## OpenAPI

````yaml https://production.hifi.com/api/v3/openapi.json post /v3/tos-link/{signedAgreementId}/accept
openapi: 3.0.0
info:
  title: Hifi API
  version: 3.0.0
  description: API documentation for HIFI
servers:
  - url: https://production.hifi.com
    description: Production server
  - url: https://sandbox.hifi.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Counter Party
    description: Counter party endpoints
  - name: Crypto Transfer
    description: Crypto transfer and batch transfer endpoints
  - name: Wallet
    description: Wallet and wallet offer endpoints
  - name: External Account
    description: External bank account endpoints (under a counter party)
  - name: External Wallet
    description: External wallet endpoints (under a counter party)
  - name: External Card
    description: External card endpoints (under a counter party)
  - name: Token Swap
    description: Token swap endpoints
  - name: Bridge
    description: Bridge endpoints
  - name: Virtual Account
    description: Virtual account endpoints
  - name: Compliance
    description: Compliance and compliance link endpoints
  - name: Webhook Endpoint
    description: Webhook endpoint endpoints
  - name: File
    description: File upload endpoints
  - name: Onramp
    description: Onramp (fiat to crypto) endpoints
  - name: Offramp
    description: Offramp (crypto to fiat) endpoints
  - name: Orchestration Address
    description: Orchestration (liquidation) address endpoints
  - name: KYC Link
    description: Hosted and custom KYC/KYB link endpoints
  - name: Transfer Approval
    description: Transfer approval endpoints
  - name: Corridor
    description: Supported fiat/crypto transfer corridor endpoints
  - name: Migration
    description: v2-to-v3 ID mapping endpoints
paths:
  /v3/tos-link/{signedAgreementId}/accept:
    post:
      tags:
        - User
      summary: Accept a whitelisted terms of service link
      description: Accept a Terms of Service link on behalf of a whitelisted signer.
      operationId: v3AcceptWhitelistedTosLink
      parameters:
        - $ref: '#/components/parameters/SignedAgreementIdPathParameter'
      responses:
        '200':
          $ref: '#/components/responses/ToSLinkRecordStatusResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    SignedAgreementIdPathParameter:
      name: signedAgreementId
      in: path
      schema:
        type: string
        format: uuid
      description: ID of the signed agreement.
      required: true
  responses:
    ToSLinkRecordStatusResponse:
      description: Success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ToSLinkRecordStatusObject'
          examples:
            TosLinkStatusObjectExample:
              $ref: '#/components/examples/TosLinkStatusObjectExample'
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    NotFoundResponse:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NotFound'
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    ToSLinkRecordStatusObject:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Signed agreement ID.
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the Terms of Service link was created.
        expiredAt:
          type: string
          format: date-time
          description: Timestamp when the Terms of Service link expires.
        signed:
          type: boolean
          description: Whether the Terms of Service has been signed.
        sessionToken:
          type: string
          format: uuid
          description: Session token for the Terms of Service signing session.
    Unauthorized:
      type: object
      properties:
        type:
          type: string
          description: Unauthorized enum
          example: UNAUTHORIZED
        message:
          type: string
          description: Unauthorized message
          example: Authentication required
    NotFound:
      type: object
      properties:
        type:
          type: string
          example: RESOURCE_NOT_FOUND
          description: The error type, e.g., RESOURCE_NOT_FOUND
        message:
          type: string
          description: A descriptive error message
        fields:
          type: array
          description: List of specific field errors
          items:
            type: object
            properties:
              code:
                type: string
                description: Error code related to the field issue
              message:
                type: string
                description: Error message for the specific issue
              field:
                type: string
                description: The name of the field that has an issue
    InternalServerError:
      type: object
      properties:
        type:
          type: string
          example: INTERNAL_SERVER_ERROR
          description: Internal server error enum
        message:
          type: string
          example: An internal server error occurred
          description: Internal server error message
  examples:
    TosLinkStatusObjectExample:
      summary: ToS Link Status Object
      value:
        id: e6e0de1d-7d0b-4935-ba1a-71906064067e
        createdAt: '2026-04-17T18:27:51.169Z'
        expiredAt: '2026-04-22T18:27:51.091Z'
        signed: true
        sessionToken: e3a92e74-19e0-4137-ab75-ae537832f342
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````